Retrieve OrgUser Permissions
Retrieve the permissions for the OrgUser with the given UUID.
Retrieves a list of all permissions associated with a specific user in an Organization using their UUID. The list can be paginated for easier management.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
The unique identifier (UUID) of the user whose permissions you want to retrieve.
Query Parameters
Specifies the maximum number of Permission Policies to retrieve per page.
1 <= x <= 200The nextToken for multi-page retrievals. It is used to fetch the next page of Permission Policies in a paginated list.
Response
Returns a list of Permission Policies.
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
The name of the Permission Policy.
Array containing the Permission Policies information.
Indicates whether this is a system generated Managed Permission Policy.
The date and time (in ISO-8601 format) when the Permission Policy was created.
The date and time (in ISO-8601 format) when the Permission Policy was last modified.
The unique identifier (UUID) of the user who created this Permission Policy.
The unique identifier (UUID) of the user who last modified this Permission Policy.